#ifndef SHA1_H
#define SHA1_H

#include "int_sizes.h"

#define SHA1_DIGEST_LENGTH 20
#define SHA1_DIGEST_ASCII_LENGTH 42

typedef struct {
	UINT32_T digest[5];
	UINT32_T countLo, countHi;
	UINT32_T data[16];
	int Endianness;
} sha1_context_t;

void sha1_init( sha1_context_t *ctx );
void sha1_update( sha1_context_t *ctx, const unsigned char *, unsigned int );
void sha1_final( unsigned char digest[SHA1_DIGEST_LENGTH], sha1_context_t *ctx );

int sha1_file( const char *filename, unsigned char digest[SHA1_DIGEST_LENGTH] );
const char * sha1_string( unsigned char digest[SHA1_DIGEST_LENGTH] );

#endif
